package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsContractLog;
import com.goldenwater.slgc.mapper.pms.PmsContractLogMapper;
import com.goldenwater.slgc.service.pms.IPmsContractLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsContractLogServiceImpl implements IPmsContractLogService {
    @Autowired
    private PmsContractLogMapper pmsContractLogMapper;

    /**
     * 查询合同变更日志列表
     */
    @Override
    public List<PmsContractLog> selectList(PmsContractLog contractLog) {
        return pmsContractLogMapper.selectList(contractLog);
    }

    /**
     * 根据主键查询合同变更日志
     */
    @Override
    public PmsContractLog selectById(Long id) {
        return pmsContractLogMapper.selectById(id);
    }

    /**
     * 新增合同变更日志
     */
    @Override
    public int insert(PmsContractLog contractLog) {
        return pmsContractLogMapper.insert(contractLog);
    }

    /**
     * 修改合同变更日志
     */
    @Override
    public int update(PmsContractLog contractLog) {
        return pmsContractLogMapper.update(contractLog);
    }

    /**
     * 删除合同变更日志
     */
    @Override
    public int deleteById(Long id) {
        return pmsContractLogMapper.deleteById(id);
    }

    /**
     * 批量删除合同变更日志
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsContractLogMapper.deleteByIds(ids);
    }

    /**
     * 根据合同ID查询合同变更日志列表
     */
    @Override
    public List<PmsContractLog> selectByConId(Long conId) {
        return pmsContractLogMapper.selectByConId(conId);
    }
}
